 .u-section-1 {
  min-height: 1028px;
}

.u-section-1 .u-map-1 {
  transition-duration: 0.5s;
  box-shadow: 2px 0 0 0 rgba(0,0,0,0);
  height: 900px;
  margin-top: 128px;
  margin-bottom: 0;
  transform: translateX(0px) translateY(0px) scale(1) rotate(0deg);
}

@media (max-width: 1199px) {
   .u-section-1 {
    min-height: 683px;
  }

  .u-section-1 .u-map-1 {
    height: 566px;
    margin-top: 117px;
  }
}

@media (max-width: 991px) {
   .u-section-1 {
    min-height: 597px;
  }

  .u-section-1 .u-map-1 {
    height: 485px;
    margin-top: 112px;
  }
}

@media (max-width: 575px) {
  .u-section-1 .u-map-1 {
    height: 559px;
  }
}

.u-section-1 .u-map-1,
.u-section-1 .u-map-1:before,
.u-section-1 .u-map-1 > .u-container-layout:before {
  transition-property: fill, color, background-color, stroke-width, border-style, border-width, border-top-width, border-left-width, border-right-width, border-bottom-width, custom-border, borders, box-shadow, text-shadow, opacity, border-radius, stroke, border-color, font-size, font-style, font-weight, text-decoration, letter-spacing, transform, background-image, image-zoom, background-size, background-position;
}

.u-section-1 .u-container-layout:hover .u-map-1 {
  transform: rotate(0deg) scale(1) translateX(0px) translateY(0px) !important;
}

.u-container-layout.hover .u-section-1 .u-map-1 {
  transform: rotate(0deg) scale(1) translateX(0px) translateY(0px) !important;
}.u-section-2 .u-sheet-1 {
  min-height: 170px;
}

.u-section-2 .u-text-1 {
  font-size: 2.5rem;
  font-weight: normal;
  width: 387px;
  margin: 28px auto 0;
}

.u-section-2 .u-text-2 {
  font-size: 1rem;
  background-image: none;
  letter-spacing: 0px;
  line-height: 1.6;
  width: 911px;
  margin: 21px auto 28px;
}

@media (max-width: 1199px) {
  .u-section-2 .u-text-1 {
    --animation-custom_in-translate_x: 0px;
    --animation-custom_in-translate_y: 0px;
    --animation-custom_in-opacity: 0;
    --animation-custom_in-rotate: 0deg;
    --animation-custom_in-scale: 0.3;
  }

  .u-section-2 .u-text-2 {
    margin-left: 15px;
    margin-right: 15px;
  }
}

@media (max-width: 991px) {
  .u-section-2 .u-sheet-1 {
    min-height: 171px;
  }

  .u-section-2 .u-text-1 {
    margin-top: 31px;
  }

  .u-section-2 .u-text-2 {
    font-size: 0.875rem;
    width: 502px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 31px;
  }
}

@media (max-width: 767px) {
  .u-section-2 .u-text-2 {
    width: 404px;
  }
}

@media (max-width: 575px) {
  .u-section-2 .u-text-1 {
    font-size: 1.875rem;
    width: auto;
    margin-left: 0;
    margin-right: 0;
  }

  .u-section-2 .u-text-2 {
    font-size: 0.75rem;
    width: 340px;
  }
} .u-section-3 {
  min-height: 595px;
}

.u-section-3 .u-group-1 {
  width: 710px;
  height: auto;
  min-height: 595px;
  margin: 0 calc(((100% - 1140px) / 2)) 0 auto;
}

.u-section-3 .u-container-layout-1 {
  padding: 0px 40px;
}

.u-section-3 .u-text-1 {
  font-size: 2.5rem;
  font-weight: 700;
  margin: 0;
}

.u-section-3 .u-form-1 {
  /* width: 515px; */
  /* margin: 20px auto 0; */
}

.u-section-3 .u-form-group-1 {
  margin-left: 0;
}

.u-section-3 .u-label-1 {
  font-size: 0.875rem;
}

.u-section-3 .u-input-1 {
  font-size: 0.875rem;
}

.u-section-3 .u-form-group-2 {
  margin-left: 0;
}

.u-section-3 .u-label-2 {
  font-size: 0.875rem;
}

.u-section-3 .u-input-2 {
  font-size: 0.875rem;
}

.u-section-3 .u-form-group-3 {
  margin-left: 0;
}

.u-section-3 .u-label-3 {
  font-size: 0.875rem;
}

.u-section-3 .u-input-3 {
  font-size: 0.875rem;
}

.u-section-3 .u-btn-1 {
  text-transform: uppercase;
  background-image: none;
  font-weight: 700;
}

.u-section-3 .u-list-1 {
  width: 430px;
  margin: -595px auto 0 calc(((100% - 1140px) / 2));
}

.u-section-3 .u-repeater-1 {
  grid-template-columns: 100%;
  grid-gap: 21px 21px;
  min-height: 595px;
}

.u-section-3 .u-list-item-1 {
  background-image: none;
}

.u-section-3 .u-container-layout-2 {
  padding: 30px;
}

.u-section-3 .u-text-2 {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 1.25rem;
  margin: 108px 0 0;
}

.u-section-3 .u-text-3 {
  font-size: 1rem;
  line-height: 1.6;
  letter-spacing: 0px;
  margin: 20px 0 0;
}

.u-section-3 .u-text-4 {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 1.25rem;
  margin: 52px 0 0;
}

.u-section-3 .u-text-5 {
  font-size: 1rem;
  line-height: 1.6;
  margin: 20px 0 0;
}

.u-section-3 .u-btn-2 {
  padding: 0;
}

.u-section-3 .u-btn-3 {
  background-image: none;
  padding-left: 0;
  padding-right: 0;
}

.u-section-3 .u-text-6 {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 1.25rem;
  margin: 52px 0 0;
}

.u-section-3 .u-text-7 {
  font-size: 1rem;
  line-height: 1.6;
  margin: 20px 0 0;
}

.u-section-3 .u-btn-4 {
  background-image: none;
  font-size: 1rem;
  padding: 0;
}

@media (max-width: 1199px) {
   .u-section-3 {
    min-height: 553px;
  }

  .u-section-3 .u-group-1 {
    min-height: 553px;
    width: 550px;
    margin-right: calc(((100% - 940px) / 2));
    height: auto;
  }

  .u-section-3 .u-container-layout-1 {
    padding-top: 23px;
    padding-bottom: 10px;
  }

  .u-section-3 .u-text-1 {
    width: auto;
    font-size: 2.3rem;
    /* margin-top: 32px; */
  }

  .u-section-3 .u-form-1 {
    margin-right: initial;
    margin-left: initial;
    width: auto;
  }

  .u-section-3 .u-btn-1 {
    border-style: solid;
  }

  .u-section-3 .u-list-1 {
    width: 390px;
    margin-top: -553px;
    margin-left: calc(((100% - 940px) / 2));
  }

  .u-section-3 .u-repeater-1 {
    min-height: 553px;
  }

  .u-section-3 .u-container-layout-2 {
    padding-left: 20px;
    padding-right: 20px;
  }

  .u-section-3 .u-text-2 {
    margin-top: 62px;
  }
}

@media (max-width: 991px) {
   .u-section-3 {
    min-height: 551px;
  }

  .u-section-3 .u-group-1 {
    width: 373px;
    min-height: 536px;
    margin-top: 15px;
    margin-right: calc(((100% - 720px) / 2));
  }

  .u-section-3 .u-container-layout-1 {
    padding: 16px 30px 0;
  }

  .u-section-3 .u-text-1 {
    font-size: 1.875rem;
    /* margin-top: 31px; */
  }

  .u-section-3 .u-form-1 {
    /* margin-top: 24px; */
    width: auto;
    margin-right: initial;
    margin-left: initial;
  }

  .u-section-3 .u-list-1 {
    width: 347px;
    margin-top: -536px;
    margin-left: calc(((100% - 720px) / 2));
  }

  .u-section-3 .u-repeater-1 {
    min-height: 536px;
  }

  .u-section-3 .u-text-2 {
    font-size: 1rem;
  }

  .u-section-3 .u-text-3 {
    font-size: 0.875rem;
  }

  .u-section-3 .u-text-4 {
    font-size: 1rem;
  }

  .u-section-3 .u-text-5 {
    font-size: 0.875rem;
  }

  .u-section-3 .u-btn-3 {
    padding-top: 0;
    padding-bottom: 0;
  }

  .u-section-3 .u-text-6 {
    font-size: 1rem;
  }

  .u-section-3 .u-text-7 {
    font-size: 0.875rem;
  }
}

@media (max-width: 767px) {
   .u-section-3 {
    min-height: 1001px;
  }

  .u-section-3 .u-group-1 {
    width: 540px;
    min-height: 520px;
    margin-top: 445px;
    margin-right: auto;
  }

  .u-section-3 .u-container-layout-1 {
    padding-top: 37px;
  }

  .u-section-3 .u-text-1 {
    font-size: 3rem;
    margin-top: 0;
  }

  .u-section-3 .u-list-1 {
    width: 540px;
    margin-top: -1001px;
    margin-left: auto;
    margin-bottom: 60px;
  }

  .u-section-3 .u-repeater-1 {
    min-height: 437px;
  }

  .u-section-3 .u-container-layout-2 {
    padding-top: 0;
    padding-bottom: 0;
  }

  .u-section-3 .u-text-2 {
    width: auto;
  }

  .u-section-3 .u-text-3 {
    width: 351px;
    margin-left: auto;
    margin-right: auto;
  }

  .u-section-3 .u-btn-4 {
    font-size: 0.875rem;
  }
}

@media (max-width: 575px) {
   .u-section-3 {
    min-height: 960px;
  }

  .u-section-3 .u-group-1 {
    min-height: 519px;
    width: 340px;
    margin-top: 400px;
  }

  .u-section-3 .u-container-layout-1 {
    padding-top: 31px;
  }

  .u-section-3 .u-text-1 {
    font-size: 1.5rem;
    margin-top: 32px;
  }

  .u-section-3 .u-list-1 {
    width: 340px;
    margin-top: -976px;
  }

  .u-section-3 .u-container-layout-2 {
    padding-left: 30px;
    padding-right: 30px;
  }

  .u-section-3 .u-text-2 {
    font-size: 0.875rem;
  }

  .u-section-3 .u-text-3 {
    font-size: 0.75rem;
    width: auto;
    margin-left: -20px;
    margin-right: -20px;
  }

  .u-section-3 .u-text-4 {
    font-size: 0.875rem;
  }

  .u-section-3 .u-text-5 {
    font-size: 0.75rem;
  }

  .u-section-3 .u-text-6 {
    font-size: 0.875rem;
  }

  .u-section-3 .u-btn-4 {
    font-size: 0.75rem;
  }
}'error', 
			'text' => 'Request must come from Ajax'
		));
		
		die($output);
    } 
	
	//check $_POST vars are set, exit if any missing
	if(!isset($_POST["userName"]) || !isset($_POST["userEmail"]) || !isset($_POST["userMessage"]))
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Input fields are empty!'));
		die($output);
	}
	//Sanitize input data using PHP filter_var().
	$user_Name        = filter_var($_POST["userName"], FILTER_SANITIZE_STRING);
	$user_Email       = filter_var($_POST["userEmail"], FILTER_SANITIZE_EMAIL);
	$user_Message     = filter_var($_POST["userMessage"], FILTER_SANITIZE_STRING);
	
	$user_Message = str_replace("\'", "'", $user_Message);
	$user_Message = str_replace("'", "'", $user_Message);
	
	//additional php validation
	if(strlen($user_Name)'error', 'text' => 'Name is too short or empty!'));
		die($output);
	}
	if(!filter_var($user_Email, FILTER_VALIDATE_EMAIL)) //email validation
	{
		$output = json_encode(array('type'=>'error', 'text' => 'business@cingulate.co.za'));
		die($output);
	}
	if(strlen($user_Message)'error', 'text' => 'Too short message! Please enter something.'));
		die($output);
	}
	
	//proceed with PHP email.
	$headers = 'From: '.$user_Email.'' . "\r\n" .
	'Reply-To: '.$user_Email.'' . "\r\n" .
	'X-Mailer: PHP/' . phpversion();
	
	$sentMail = business@cingulate.co.za($to_Email, $subject, $user_Message . "\r\n\n"  .'-- '.$user_Name. "\r\n" .'-- '.$user_Email, $headers);
	
	if(!$sentMail)
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Could not send mail! Please check your PHP mail configuration.'));
		die($output);
	}else{
		$output = json_encode(array('type'=>'message', 'text' => 'Hi '.$user_Name .'! Thank you for your email'));
		die($output);
	}
}
?>